# Release Procedures for HackMyResume

## Releasing a New Version of HackMyResume

1. Perform all development work against the main `dev` branch, ideally, by
creating feature branches off that branch. So for example, if you're updating
the Word generation logic, you might create a branch `feat/word-gen` off of the
dev branch.
1. Merge the `dev` or other official release branch(es) into master using either
a normal merge or by rebasing.
2. Create an annotated tag describing the release. See below. Push it with `git push --follow-tags`.
3. Update the release notes on GitHub via the web UI.
4. Push to NPM with `npm register`.
5. Update the FluentCV fork.

### Create an annotated tag

Create a new annotated release tag with:

    git tag -s v1.3.1 -m "v1.3.1"

The `-s` option requires that you have a GPG identity set up for your GitHub/git account.

You can use a **fast-forward merge** to cleanly apply commits made in `dev` to
`master` provided that no intervening commits from other people have been made.
So, if you push a release, create a dev branch for the next version, make 5
commits to that branch, you can fast-forward merge those commits without doing
a PR etc.

Keep in mind that you can either **merge** or **rebase** feature branches.

### Syncing DEV with MASTER

Changes need to not only flow from DEV to MASTER, but also occasionally from
MASTER to DEV.

    git checkout dev
    git rebase master
    git push origin dev
