## 1.6.0

### Added

- Improved consistency and coverage for all FRESH themes.
- Support for new `projects` and `affiliations` resume sections.
- New command! `PEEK` at any arbitrary field or entry on your `.json` resume.
- Annotated the HTML and MS Word (XML) formats of the Modern theme for FRESH
theme authors.
- Emit extended status and error info with the `--debug` or `-d` switch.
- The `-o` or `--options` switch can now handle either the path to a **JSON
settings file** or **raw JSON/JavaScript**. Since the JSON double quote syntax is
a bit cumbersome from the command line, HackMyResume accepts regular JavaScript
object literal syntax:

        hackmyresume build resume.json -o "{ theme: 'compact', silent: 'true' }"

- Ability to disable sorting of resume sections (employments, projects, etc.)
with the `--no-sort` option. HMR will respect the order of items as they appear
in your resume `.json` file.
- Improvements to the starter resume emitted by `hackmyresume new`.

### Changed

- Rewrote the HackMyResume man/help page.
- Minor updates to the FRESCA schema.
- PDF generation now uses asynchronous `spawn()` which has better compatibility
with old or boutique versions of Node.js. Synchronous spawn is preserved as an
internal code path.

### Fixed

- Issue with synchronous spawning of PDF generation process on older
versions of Node.

### Internal

- Logging message have been moved out of core HackMyResume code ahead of
localization support.
- Code cleanup and refactoring throughout.

## 1.5.0

### Added

- HackMyResume now supports **CLI-based generation of PDF formats across
multiple engines (Phantom, wkhtmltopdf, etc)**. Instead of talking to these
engines over a programmatic API, as in prior versions, HackMyResume 1.5+ speaks
to them over the same command-line interface (CLI) you'd use if you were using
these tools directly.

- HackMyResume will now (attempt to) **generate a PDF output for JSON Resume
themes** (in addition to HTML).

- Minor README and FAQ additions.

### Changed

- **Cleaner, quicker installs**. Installing HackMyResume with `npm install
hackmyresume -g` will no longer trigger a lengthy, potentially error-prone
install for Phantom.js and/or wkhtmltopdf for PDF support. Instead, users can
install these engines externally and HMR will use them when present.

- Minor error handling improvements.

### Fixed

- Fixed an error with generating specific formats with the `BUILD` command (#98).

- Fixed numerous latent/undocumented bugs and glitches.

## 1.4.0

### Added

- **Project support**: FRESH resumes and themes can now store and display
open source, commercial, private, personal, and creative projects.
- **New command: ANALYZE**. Inspect your resume for gaps, keyword counts, and
other metrics.
- **Side-by-side PDF generation** with Phantom and wkhtmltopdf. Support for PDF
generation through PhantomJS (compliments existing wkhtmltopdf support). Use the
`--pdf` or `-p` flag to pick between `phantom` and `wkhtmltopdf` generation.
- **Inherit formats between themes**. Themes can now inherit formats (Word,
  HTML, .txt, etc.) from other themes. (FRESH themes only.)
- **Rename resume sections** to different languages or wordings.
- **Specify complex options via external file**. Use with the `-o` or `--opts`
option.
- **Disable colors** with the `--no-color` flag.
- **Theme messages and usage tips** instructions will now appear in the default
HackMyResume output for the `build` command. Run `hackmyresume build resume.json
-t awesome` for an example. Turn off with the `--no-tips` flag.

### Fixed

- Fixed a minor glitch in the FRESCA schema.
- Fixed encoding issues in the `Highlights` section of certain resumes.
- Fix behavior of `-s` and `--silent` flags.

### Changed

- PDF generation now defaults to Phantom for all platforms, with `wkhtmltopdf`
accessible with `--pdf wkhtmltopdf`.
- Resumes are now validated, by default, prior to generation. This
behavior can be disabled with the `--novalidate` or `--force` switch.
- Syntax errors in source FRESH and JSON Resumes are now captured for all
commands.
- Minor updates to README.
- Most themes now inherit Markdown and Plain Text formats from the **Basis**
theme.

### Internal

- Switched from color to chalk.
- Command invocations now handled through commander.js.
- Added extensible inspector/analyzer framework. Write your own resume analysis
code in 10-20 lines.
